org.modeshape.jcr

## Interface Connectors.PathMappings

- All Known Implementing Classes:
    Connectors.AbstractPathMappings, Connectors.BasicPathMappings, Connectors.EmptyPathMappings
  Enclosing class:
    Connectors

      @Immutable
      public static interface Connectors.PathMappings

  The immutable mappings between the (federated) repository nodes and the external nodes exposed by a connector that they project. This view of mappings will remain consistent, but may become out of date.
  See Also:
    `Connectors.getPathMappings(Connector)`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getConnectorSourceName()` Get the source name of the connector for which this mapping is defined.
    `PathFactory` | `getPathFactory()` Get a path factory that can be used to create new paths.
    `Collection<WorkspaceAndPath>` | `resolveExternalPathToInternal(Path externalPath)` Attempt to resolve the supplied external path (from the point of view of a connector) to the internal repository path(s) using the connector's projections at the time this object `was obtained`.

- - ### Method Detail

    - #### resolveExternalPathToInternal

          Collection<WorkspaceAndPath> resolveExternalPathToInternal(Path externalPath)

      Attempt to resolve the supplied external path (from the point of view of a connector) to the internal repository path(s) using the connector's projections at the time this object `was obtained`. This method returns an empty collection if the external node at the given path is not projected into the repository.
      Parameters:
        `externalPath` - the external path of a node in the tree of content exposed by the connector; this path is from the point of view of the connector.
      Returns:
        the resolved repository paths, each in the associated named workspaces, or an empty collection if this mapping projected the supplied external path

    - #### getPathFactory

          PathFactory getPathFactory()

      Get a path factory that can be used to create new paths.
      Returns:
        the path factory; never null

    - #### getConnectorSourceName

          String getConnectorSourceName()

      Get the source name of the connector for which this mapping is defined.
      Returns:
        the connector source name; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.